Bug 429508 (js1.8.5)

JS1.8.5 tracking bug

RESOLVED FIXED in Future

Status

()

RESOLVED FIXED
11 years ago
8 years ago

People

(Reporter: jeresig, Unassigned)

Tracking

Trunk
Future
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

11 years ago
JS 1.9 will be part of Gecko 1.9.1, this is just a bug to track the various features and bug fixes that will be included within it.
(Reporter)

Updated

11 years ago
Depends on: 384232
(Reporter)

Updated

11 years ago
Depends on: 346749
(Reporter)

Updated

11 years ago
Depends on: 340987
(Reporter)

Updated

11 years ago
Depends on: 430133
(Reporter)

Updated

11 years ago
Depends on: 433382

Updated

11 years ago
Depends on: 432881

Updated

11 years ago
Depends on: 432516

Updated

10 years ago
Depends on: 444787
(Reporter)

Updated

10 years ago
Depends on: 445494
I've mentioned this to Graydon (who agreed or thought of it first) and shaver (who IIRC agreed): we might do better to call this JS1.8.1, to avoid the 1.9 jump for a relatively small change, and to match the .1 ending of ES3.1. Comments?

/be

Comment 2

10 years ago
(In reply to comment #1)
> to call this JS1.8.1, to avoid the 1.9
> jump for a relatively small change, and to match the .1 ending of ES3.1.

and to match the .1 part in the Firefox 3.1 release. 

Updated

10 years ago
Depends on: 449651
Sometimes I have a dream where I am losing my teeth.
Also, 1.8.1 makes sense if there aren't any major changes.
No longer depends on: 429507
js/spidermonkey 1.8.5 was released (see https://bugzilla.mozilla.org/show_bug.cgi?id=628723), i think this bug should be marked as resolved.

Comment 7

8 years ago
Per comment 6.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED

Updated

8 years ago
Alias: js1.9 → js1.8.5
Summary: JS1.9 tracking bug → JS1.8.5 tracking bug
You need to log in before you can comment on or make changes to this bug.